From f1d2df43c6c64aa6f58f275e3aee7eded09f16ca Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 21/48] only use libmodulemd functions in __init__()


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index 4c8b448..83dadcb 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -159,10 +159,6 @@ class ModuleMetadata(object):
         self.module.set_module_components({})
         self.module.set_rpm_artifacts(Modulemd.SimpleSet())
 
-        self.buildopts = ModuleBuildopts()
-        self.components = ModuleComponents()
-
-
     def __repr__(self):
         return ("<ModuleMetadata: "
                 "mdversion: {0}, "

